const glob = require('glob');
const minify = require('./min');

// Minify the polyfills
const ESpolyfills = glob.sync('src/polyfills/*.js');
ESpolyfills.forEach(inFile => {
	const outFile = inFile.replace('src/polyfills/', 'js/polyfills/EcmaScript/');
	minify(inFile, outFile);
});

// Minify outerHTML polyfill
minify('js/polyfills/Dom/Element.outerHTML.js', 'js/polyfills/Dom/Element.outerHTML.min.js');

// Minify the javascript loader script
minify('src/load-scripts.js', 'js/load-scripts.js');
